Debian Bug report logs - #677738
kfreebsd-8: Reference count errors in IPv6 code

version graph

Package: src:kfreebsd-8; Maintainer for src:kfreebsd-8 is GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>;

Reported by: Steven Chamberlain <steven@pyro.eu.org>

Date: Sat, 16 Jun 2012 15:39:01 UTC

Severity: important

Tags: patch, squeeze

Found in version kfreebsd-8/8.1+dfsg-8+squeeze2

Fixed in version kfreebsd-8/8.1+dfsg-8+squeeze3

Done: GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>:
Bug#677738; Package src:kfreebsd-8. (Sat, 16 Jun 2012 15:39:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Steven Chamberlain <steven@pyro.eu.org>:
New Bug report received and forwarded. Copy sent to GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>. (Sat, 16 Jun 2012 15:39:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Steven Chamberlain <steven@pyro.eu.org>
To: submit@bugs.debian.org
Subject: kfreebsd-8: Reference count errors in IPv6 code
Date: Sat, 16 Jun 2012 16:36:20 +0100
Package: src:kfreebsd-8
Version: 8.1+dfsg-8+squeeze2
Severity: important
Tags: patch squeeze
User: debian-bsd@lists.debian.org
Usertags: kfreebsd

Hi,

Errata notice FreeBSD-EN-12:02.ipv6refcount affects the kfreebsd-8
package in squeeze.

http://security.freebsd.org/advisories/FreeBSD-EN-12:02.ipv6refcount.asc
> Under high IPv6 network load, reference counts may improperly hit zero
> due to overflow or underflow, causing an IPv6 address, which is still in
> use, to be freed.  This will lead to a kernel panic on next access.

Please apply the patch from the erratum.

Thanks,
Regards,
-- 
Steven Chamberlain
steven@pyro.eu.org




Reply sent to GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>:
You have taken responsibility. (Sun, 22 Jul 2012 22:51:16 GMT) Full text and rfc822 format available.

Notification sent to Steven Chamberlain <steven@pyro.eu.org>:
Bug acknowledged by developer. (Sun, 22 Jul 2012 22:51:16 GMT) Full text and rfc822 format available.

Message #10 received at 677738-close@bugs.debian.org (full text, mbox):

From: GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>
To: 677738-close@bugs.debian.org
Subject: Bug#677738: fixed in kfreebsd-8 8.1+dfsg-8+squeeze3
Date: Sun, 22 Jul 2012 22:48:45 +0000
Source: kfreebsd-8
Source-Version: 8.1+dfsg-8+squeeze3

We believe that the bug you reported is fixed in the latest version of
kfreebsd-8, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 677738@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org> (supplier of updated kfreebsd-8 package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Tue, 19 Jun 2012 13:18:39 +0100
Source: kfreebsd-8
Binary: kfreebsd-source-8.1 kfreebsd-headers-8.1-1 kfreebsd-image-8.1-1-amd64 kfreebsd-image-8-amd64 kfreebsd-headers-8.1-1-amd64 kfreebsd-headers-8-amd64 kfreebsd-image-8.1-1-486 kfreebsd-image-8-486 kfreebsd-headers-8.1-1-486 kfreebsd-headers-8-486 kfreebsd-image-8.1-1-686 kfreebsd-image-8-686 kfreebsd-headers-8.1-1-686 kfreebsd-headers-8-686 kfreebsd-image-8.1-1-686-smp kfreebsd-image-8-686-smp kfreebsd-headers-8.1-1-686-smp kfreebsd-headers-8-686-smp
Architecture: source all kfreebsd-amd64
Version: 8.1+dfsg-8+squeeze3
Distribution: stable-security
Urgency: medium
Maintainer: GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>
Changed-By: GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>
Description: 
 kfreebsd-headers-8-486 - header files for kernel of FreeBSD 8
 kfreebsd-headers-8-686 - header files for kernel of FreeBSD 8
 kfreebsd-headers-8-686-smp - header files for kernel of FreeBSD 8
 kfreebsd-headers-8-amd64 - header files for kernel of FreeBSD 8
 kfreebsd-headers-8.1-1 - Common architecture-specific header files for kernel of FreeBSD 8
 kfreebsd-headers-8.1-1-486 - header files for kernel of FreeBSD 8.1
 kfreebsd-headers-8.1-1-686 - header files for kernel of FreeBSD 8.1
 kfreebsd-headers-8.1-1-686-smp - header files for kernel of FreeBSD 8.1
 kfreebsd-headers-8.1-1-amd64 - header files for kernel of FreeBSD 8.1
 kfreebsd-image-8-486 - kernel of FreeBSD 8 image
 kfreebsd-image-8-686 - kernel of FreeBSD 8 image
 kfreebsd-image-8-686-smp - kernel of FreeBSD 8 image
 kfreebsd-image-8-amd64 - kernel of FreeBSD 8 image
 kfreebsd-image-8.1-1-486 - kernel of FreeBSD 8.1 image
 kfreebsd-image-8.1-1-686 - kernel of FreeBSD 8.1 image
 kfreebsd-image-8.1-1-686-smp - kernel of FreeBSD 8.1 image
 kfreebsd-image-8.1-1-amd64 - kernel of FreeBSD 8.1 image
 kfreebsd-source-8.1 - source code for kernel of FreeBSD 8.1 with Debian patches
Closes: 677297 677738
Changes: 
 kfreebsd-8 (8.1+dfsg-8+squeeze3) stable-security; urgency=medium
 .
   [ Steven Chamberlain ]
   * Apply upstream SA-12:04.sysret patch (CVE-2012-0217) (Closes: #677297)
     - Include correction from upstream (r237241)
   * Apply upstream EN-12:02.ipv6refcount patch (Closes: #677738)
Checksums-Sha1: 
 94480cd5dbc46dc11bbd5b198b8d05506d2b22bc 1945 kfreebsd-8_8.1+dfsg-8+squeeze3.dsc
 008fe679721eae13cd502b7f5769c15615171c67 100510 kfreebsd-8_8.1+dfsg-8+squeeze3.diff.gz
 72ff2b2106a890c10a9fb518e0a5c3149c0fffa0 17221790 kfreebsd-source-8.1_8.1+dfsg-8+squeeze3_all.deb
 1075744c88bd57663134924302e6f188f2375724 6598356 kfreebsd-headers-8.1-1_8.1+dfsg-8+squeeze3_kfreebsd-amd64.deb
 ad808be140cb146726e3f1943b0b95b945fa5f19 13494602 kfreebsd-image-8.1-1-amd64_8.1+dfsg-8+squeeze3_kfreebsd-amd64.deb
 799547ec1ea02818146ce6462109dd8a97485547 48030 kfreebsd-image-8-amd64_8.1+dfsg-8+squeeze3_kfreebsd-amd64.deb
 9c133f18fb9b37c25271f5d266243859cf721c3c 317992 kfreebsd-headers-8.1-1-amd64_8.1+dfsg-8+squeeze3_kfreebsd-amd64.deb
 789749fde1d32c17fd669001c2eb9c301b1bd675 48032 kfreebsd-headers-8-amd64_8.1+dfsg-8+squeeze3_kfreebsd-amd64.deb
Checksums-Sha256: 
 40b3fbe9bd5c932b5054f5ce03d3ed7c0cf8065414a9e0437f6169ced18330bd 1945 kfreebsd-8_8.1+dfsg-8+squeeze3.dsc
 ed4781f4c51f33d34e407f775e42afbf2ca9d2f7c83003bd23064cf85020e42d 100510 kfreebsd-8_8.1+dfsg-8+squeeze3.diff.gz
 447572b34d3a136ba56dd3de45f4b69b2259b4a0b503d38358660ae0b3b0c180 17221790 kfreebsd-source-8.1_8.1+dfsg-8+squeeze3_all.deb
 8fc06a1345fa3bf170f0568f6da7bebeaf406613b6e0448b8a0b2c78aa2d5195 6598356 kfreebsd-headers-8.1-1_8.1+dfsg-8+squeeze3_kfreebsd-amd64.deb
 746cfe294b8f2bd270a2312e8ee36cc720f6f92be434ec772b6fc45e2a95b81e 13494602 kfreebsd-image-8.1-1-amd64_8.1+dfsg-8+squeeze3_kfreebsd-amd64.deb
 88c0870b419f36a24f71504e11e62a57e55b380fa16f3f34b2f49ad27a962a4f 48030 kfreebsd-image-8-amd64_8.1+dfsg-8+squeeze3_kfreebsd-amd64.deb
 92dad89b977a3f11f837c8b0dab6729c727f2fe6731b962a60af46b529a9e05b 317992 kfreebsd-headers-8.1-1-amd64_8.1+dfsg-8+squeeze3_kfreebsd-amd64.deb
 a18ea3a9c55a35e7de1058828671b5b22d65c15fe91936ed72875053ae48b22c 48032 kfreebsd-headers-8-amd64_8.1+dfsg-8+squeeze3_kfreebsd-amd64.deb
Files: 
 034d107299f74716b517c8dee667937d 1945 kernel optional kfreebsd-8_8.1+dfsg-8+squeeze3.dsc
 89a542b0abc416da6075d17bcacafb07 100510 kernel optional kfreebsd-8_8.1+dfsg-8+squeeze3.diff.gz
 7f55575c79e4f38a6d1996d0c37a7580 17221790 kernel optional kfreebsd-source-8.1_8.1+dfsg-8+squeeze3_all.deb
 afa362c1884b38fccd8b33830c0629d3 6598356 kernel optional kfreebsd-headers-8.1-1_8.1+dfsg-8+squeeze3_kfreebsd-amd64.deb
 84f63a04f06e010af26ce3ec2ede92d3 13494602 kernel optional kfreebsd-image-8.1-1-amd64_8.1+dfsg-8+squeeze3_kfreebsd-amd64.deb
 940baccfe54efc30cec7d8cd939dc343 48030 kernel optional kfreebsd-image-8-amd64_8.1+dfsg-8+squeeze3_kfreebsd-amd64.deb
 17a31a5aef48d01e0a390ba16e23c0be 317992 kernel optional kfreebsd-headers-8.1-1-amd64_8.1+dfsg-8+squeeze3_kfreebsd-amd64.deb
 d93e4d3d65af5df26544e753331cd7b2 48032 kernel optional kfreebsd-headers-8-amd64_8.1+dfsg-8+squeeze3_kfreebsd-amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/kFreeBSD)

iEYEARECAAYFAlAKtp0ACgkQC19io6rUCv8B/ACfdFQQZSB48fQih+ozhW3LYwKp
MZ0AoI+PY2vksp7J0+J/57XBzz9RrlzK
=EfRq
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 28 Oct 2012 07:28:49 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 18 08:06:29 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.